Subject: Re: [PATCH 00/17] KVM: arm64: More user_mem_abort() rework

From: Marc Zyngier <[email-masked]>
Date: Tue, 17 Mar 2026 08:23:45 +0000

On Mon, 16 Mar 2026 20:33:03 +0000,
Fuad Tabba <[email-masked]> wrote:
> 
> On Mon, 16 Mar 2026 at 20:26, Fuad Tabba <[email-masked]> wrote:
> >
> > Hi Marc,
> >
> > On Mon, 16 Mar 2026 at 17:55, Marc Zyngier <[email-masked]> wrote:
> > >
> > > Piqued by Fuad's initial set of patches[1] splitting user_mem_abort()
> > > into more "edible" functions, I've added my on take on top of it with
> > > a few goals in mind:
> > >
> > > - contextualise the state by splitting kvm_s2_fault into more granular
> > >   structures
> > >
> > > - reduce the amount of state that is visible and/or mutable by any
> > >   single function
> > >
> > > - reduce the number of variable that simply cache state that is
> > >   already implicitly available (and often only a helper away)
> > >
> > > I find the result reasonably attractive, and throwing it at a couple
> > > of machines didn't result in anything out of the ordinary.
> > >
> > > For those interested, I have stashed a branch at [2], and I'd
> > > appreciate some feedback on the outcome.
> > >
> > > [1] https://lore.kernel.org/all/[email-masked]/
> > > [2] https://git.kernel.org/pub/scm/linux/kernel/git/maz/arm-platforms.git/log/?h=hack/user_mem_abort-rework
> >
> > The series in hack/user_mem_abort-rework is different from this one.
> > Here are the first few patches:
> 
> And I just realized it's because they're based on _my_ patches ... doh! :D

I thought I was clear when I wrote "I've added my on take on top of
it", but maybe not. In any case, I didn't feel the need to redo what
you had already done -- I don't think I'd have come up with something
better.

In any case, I'd appreciate your feedback!

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.